summaryrefslogtreecommitdiff
path: root/dev-python/python-bibtex
diff options
context:
space:
mode:
authorMichael Mair-Keimberger <m.mairkeimberger@gmail.com>2019-01-30 17:49:25 +0100
committerAaron Bauman <bman@gentoo.org>2019-02-28 19:26:33 -0500
commit3d35fc08e14449266e25bbb11de8db6e9de8951e (patch)
tree7e7674cd05eb3c8518c41b6c2c938aacc38895d9 /dev-python/python-bibtex
parent1487192d65642559a6132185eca15fcdc929d918 (diff)
downloadgentoo-3d35fc08e14449266e25bbb11de8db6e9de8951e.tar.gz
gentoo-3d35fc08e14449266e25bbb11de8db6e9de8951e.tar.bz2
gentoo-3d35fc08e14449266e25bbb11de8db6e9de8951e.zip
dev-python/python-bibtex: use HTTPS, EAPI7, add missing die
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Signed-off-by: Aaron Bauman <bman@gentoo.org>
Diffstat (limited to 'dev-python/python-bibtex')
-rw-r--r--dev-python/python-bibtex/python-bibtex-1.2.7-r1.ebuild4
-rw-r--r--dev-python/python-bibtex/python-bibtex-1.2.7-r2.ebuild33
2 files changed, 35 insertions, 2 deletions
diff --git a/dev-python/python-bibtex/python-bibtex-1.2.7-r1.ebuild b/dev-python/python-bibtex/python-bibtex-1.2.7-r1.ebuild
index 6b44d83e32413..d318ec5b96366 100644
--- a/dev-python/python-bibtex/python-bibtex-1.2.7-r1.ebuild
+++ b/dev-python/python-bibtex/python-bibtex-1.2.7-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 )
inherit distutils-r1 eutils
DESCRIPTION="A Python extension to parse BibTeX files"
-HOMEPAGE="http://pybliographer.org/"
+HOMEPAGE="https://pybliographer.org/"
SRC_URI="mirror://sourceforge/pybliographer/${P}.tar.gz"
LICENSE="GPL-2"
diff --git a/dev-python/python-bibtex/python-bibtex-1.2.7-r2.ebuild b/dev-python/python-bibtex/python-bibtex-1.2.7-r2.ebuild
new file mode 100644
index 0000000000000..d514f638cca17
--- /dev/null
+++ b/dev-python/python-bibtex/python-bibtex-1.2.7-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python extension to parse BibTeX files"
+HOMEPAGE="https://pybliographer.org/"
+SRC_URI="mirror://sourceforge/pybliographer/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="
+ dev-libs/glib:2
+ >=app-text/recode-3.6-r1"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+python_prepare_all() {
+ # Disable tests during installation.
+ sed -e "/self.run_command ('check')/d" -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py check
+}